# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85.0"
name = "pud-macros"
version = "0.0.1"
authors = ["Victor LEFEBVRE"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Generate typed, composable, no-std-friendly modifications (“puds”) for Rust structs."
homepage = "https://github.com/vic1707/pud"
documentation = "https://docs.rs/pud"
readme = "README.md"
keywords = [
    "macros",
    "atomic-update",
]
categories = [
    "data-structures",
    "rust-patterns",
]
license = "WTFPL"
repository = "https://github.com/vic1707/pud"

[lib]
name = "pud_macros"
path = "src/lib.rs"
proc-macro = true

[dependencies.convert_case]
version = "0.10.0"

[dependencies.proc-macro2]
version = "1.0.103"

[dependencies.quote]
version = "1.0.42"

[dependencies.syn]
version = "2.0.111"
features = ["full"]

[lints.clippy]
cargo = "deny"
complexity = "deny"
correctness = "deny"
nursery = "deny"
pedantic = "deny"
perf = "deny"
restriction = "deny"
style = "deny"
suspicious = "deny"

[lints.rust]
rust_2024_compatibility = "deny"
unsafe_code = "deny"
